Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
MayaConverter Class Reference
Inheritance diagram for MayaConverter:

## Public Member Functions
| __init__ (self, parent, editor, mayaFile, callBack=None, obj=None, isAnim=False, convertMode=FROM_MAYA_TO_EGG)
| convertFromMaya (self)
| convertToMaya (self)
| onBam2EggEnded (self, evt)
| onEgg2MayaEnded (self, evt)
| onModelProcessEnded (self, evt)
| onPoll (self, evt)
| onProcessEnded (self, evt)

## Public Attributes
| callBack = callBack
| editor = editor
| isAnim = isAnim
| mainPanel = wx.Panel(self, -1)
| mayaFile = mayaFile
| obj = obj
| onPoll
| output = wx.TextCtrl(self.mainPanel, -1, style = wx.TE_MULTILINE, pos = (0, 0), size = (100, 400))
| process = Process(self, command, lambda p0=None: self.onProcessEnded(p0))
| timer = wx.Timer(self, -1)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor,
|  |  | mayaFile,
|  |  | callBack = None,
|  |  | obj = None,
|  |  | isAnim = False,
|  |  | convertMode = FROM_MAYA_TO_EGG )

## Member Function Documentation

## ◆ convertFromMaya()

convertFromMaya | ( |  | self | ) |

## ◆ convertToMaya()

convertToMaya | ( |  | self | ) |

## ◆ onBam2EggEnded()

onBam2EggEnded | ( |  | self,
|  |  | evt )

## ◆ onEgg2MayaEnded()

onEgg2MayaEnded | ( |  | self,
|  |  | evt )

## ◆ onModelProcessEnded()

onModelProcessEnded | ( |  | self,
|  |  | evt )

## ◆ onPoll()

onPoll | ( |  | self,
|  |  | evt )

## ◆ onProcessEnded()

onProcessEnded | ( |  | self,
|  |  | evt )

## Member Data Documentation

## ◆ callBack

callBack = callBack

## ◆ editor

editor = editor

## ◆ isAnim

isAnim = isAnim

## ◆ mainPanel

mainPanel = wx.Panel(self, -1)

## ◆ mayaFile

mayaFile = mayaFile

## ◆ obj

obj = obj

## ◆ onPoll

onPoll

## ◆ output

output = wx.TextCtrl(self.mainPanel, -1, style = wx.TE_MULTILINE, pos = (0, 0), size = (100, 400))

## ◆ process

process = Process(self, command, lambda p0=None: self.onProcessEnded(p0))

## ◆ timer

timer = wx.Timer(self, -1)